EmbeddedTomcat (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.modules.session

## Class EmbeddedTomcat

- java.lang.Object
- - org.apache.geode.modules.session.EmbeddedTomcat

-     public class EmbeddedTomcat
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedTomcat(java.lang.String contextPath, int port, java.lang.String jvmRoute)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.catalina.core.StandardWrapper` | `addServlet(java.lang.String path, java.lang.String name, java.lang.String clazz)`
    `void` | `addValve(org.apache.catalina.Valve valve)`
    `org.apache.catalina.startup.Embedded` | `getEmbedded()`
    `java.lang.String` | `getPath()`
    `int` | `getPort()`
    `org.apache.catalina.Context` | `getRootContext()`
    `void` | `removeValve(org.apache.catalina.Valve valve)`
    `void` | `setPath(java.lang.String path)`
    `void` | `startContainer()` Starts the embedded Tomcat server.
    `void` | `stopContainer()` Stops the embedded Tomcat server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmbeddedTomcat

          public EmbeddedTomcat(java.lang.String contextPath,
                                int port,
                                java.lang.String jvmRoute)
                         throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

  - ### Method Detail

    - #### startContainer

          public void startContainer()
                              throws org.apache.catalina.LifecycleException

      Starts the embedded Tomcat server.
      Throws:
        `org.apache.catalina.LifecycleException`

    - #### stopContainer

          public void stopContainer()

      Stops the embedded Tomcat server.

    - #### addServlet

          public org.apache.catalina.core.StandardWrapper addServlet(java.lang.String path,
                                                                     java.lang.String name,
                                                                     java.lang.String clazz)
                                                              throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### getEmbedded

          public org.apache.catalina.startup.Embedded getEmbedded()

    - #### getRootContext

          public org.apache.catalina.Context getRootContext()

    - #### getPath

          public java.lang.String getPath()

    - #### setPath

          public void setPath(java.lang.String path)

    - #### getPort

          public int getPort()

    - #### addValve

          public void addValve(org.apache.catalina.Valve valve)

    - #### removeValve

          public void removeValve(org.apache.catalina.Valve valve)